Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.instrument
Class InterceptFieldClassFileTransformer

    java.lang.Object
      org.hibernate.ejb.instrument.InterceptFieldClassFileTransformer

All Implemented Interfaces:
  javax.persistence.spi.ClassTransformer

    public class InterceptFieldClassFileTransformer

extends java.lang.Object
implements javax.persistence.spi.ClassTransformer

Enhance the classes allowing them to implements InterceptFieldEnabled This interface is then used by Hibernate for some optimizations.

Author:
  Emmanuel Bernard

Constructor Summary
`InterceptFieldClassFileTransformer(java.util.List<java.lang.String> entities)`

Method Summary
`byte[]` | `transform(java.lang.ClassLoader loader, java.lang.String className, java.lang.Class<?> classBeingRedefined, java.security.ProtectionDomain protectionDomain, byte[] classfileBuffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptFieldClassFileTransformer

    public InterceptFieldClassFileTransformer(java.util.List<java.lang.String> entities)

Method Detail

### transform

    public byte[] transform(java.lang.ClassLoader loader,
                            java.lang.String className,
                            java.lang.Class<?> classBeingRedefined,
                            java.security.ProtectionDomain protectionDomain,
                            byte[] classfileBuffer)
                     throws java.lang.instrument.IllegalClassFormatException

  Specified by:
    `transform` in interface `javax.persistence.spi.ClassTransformer`
  Throws:
    `java.lang.instrument.IllegalClassFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD